CVE-2021-23841

MEDIUM

Description

The OpenSSL public API function X509_issuer_and_serial_hash() attempts to create a unique hash value based on the issuer and serial number data contained within an X509 certificate. However it fails to correctly handle any errors that may occur while parsing the issuer field (which might occur if the issuer field is maliciously constructed). This may subsequently result in a NULL pointer deref and a crash leading to a potential denial of service attack. The function X509_issuer_and_serial_hash() is never directly called by OpenSSL itself so applications are only vulnerable if they use this function directly and they use it on certificates that may have been obtained from untrusted sources. OpenSSL versions 1.1.1i and below are affected by this issue. Users of these versions should upgrade to OpenSSL 1.1.1j. OpenSSL versions 1.0.2x and below are affected by this issue. However OpenSSL 1.0.2 is out of support and no longer receiving public updates. Premium support customers of OpenSSL 1.0.2 should upgrade to 1.0.2y. Other users should upgrade to 1.1.1j. Fixed in OpenSSL 1.1.1j (Affected 1.1.1-1.1.1i). Fixed in OpenSSL 1.0.2y (Affected 1.0.2-1.0.2x).

References

https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=122a19ab48091c657f7cb1fb3af9fc07bd557bbf

https://git.openssl.org/gitweb/?p=openssl.git;a=commitdiff;h=8252ee4d90f3f2004d3d0aeeed003ad49c9a7807

https://security.gentoo.org/glsa/202103-03

https://security.netapp.com/advisory/ntap-20210219-0009/

https://www.debian.org/security/2021/dsa-4855

https://www.openssl.org/news/secadv/20210216.txt

https://www.tenable.com/security/tns-2021-03

Details

Source: MITRE

Published: 2021-02-16

Updated: 2021-03-31

Type: CWE-190

Risk Information

CVSS v2.0

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3.0

Base Score: 5.9

Vector: CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 2.2

Severity: MEDIUM

Tenable Plugins

View all (30 total)

IDNameProductFamilySeverity
149201EulerOS 2.0 SP3 : openssl (EulerOS-SA-2021-1825)NessusHuawei Local Security Checks
medium
149168EulerOS 2.0 SP3 : openssl098e (EulerOS-SA-2021-1826)NessusHuawei Local Security Checks
medium
148986Oracle MySQL Enterprise Monitor Multiple Vulnerabilities (Apr 2021 CPU)NessusCGI abuses
high
148937MySQL 8.0.x < 8.0.24 Multiple Vulnerabilities (Apr 2021 CPU)NessusDatabases
medium
148936MySQL 5.7.x < 5.7.34 Multiple Vulnerabilities (Apr 2021 CPU)NessusDatabases
medium
148869FreeBSD : MySQL -- Multiple vulnerabilities (56ba4513-a1be-11eb-9072-d4c9ef517024)NessusFreeBSD Local Security Checks
medium
148638EulerOS Virtualization 2.9.1 : openssl (EulerOS-SA-2021-1721)NessusHuawei Local Security Checks
medium
148635EulerOS Virtualization 2.9.0 : openssl (EulerOS-SA-2021-1740)NessusHuawei Local Security Checks
medium
148402OpenSSL 1.1.1 < 1.1.1j Multiple VulnerabilitiesNessusWeb Servers
medium
148355Photon OS 4.0: Openssl PHSA-2021-4.0-0007NessusPhotonOS Local Security Checks
medium
148271GLSA-202103-03 : OpenSSL: Multiple vulnerabilitiesNessusGentoo Local Security Checks
medium
148145SUSE SLES12 Security Update : openssl (SUSE-SU-2021:0939-1)NessusSuSE Local Security Checks
medium
148011Ubuntu 16.04 LTS / 18.04 LTS / 20.04 LTS / 20.10 : OpenSSL vulnerabilities (USN-4738-1)NessusUbuntu Local Security Checks
medium
147910Amazon Linux 2 : openssl11 (ALAS-2021-1612)NessusAmazon Linux Local Security Checks
medium
147895Tenable Nessus Agent < 8.2.3 Multiple Vulnerabilities (TNS-2021-04)NessusMisc.
low
147860openSUSE Security Update : openssl-1_1 (openSUSE-2021-427)NessusSuSE Local Security Checks
medium
147852openSUSE Security Update : openssl-1_0_0 (openSUSE-2021-430)NessusSuSE Local Security Checks
medium
147843SUSE SLES12 Security Update : compat-openssl098 (SUSE-SU-2021:0793-1)NessusSuSE Local Security Checks
medium
147736SUSE SLES15 Security Update : openssl-1_0_0 (SUSE-SU-2021:0769-1)NessusSuSE Local Security Checks
medium
147571SUSE SLES15 Security Update : openssl-1_1 (SUSE-SU-2021:0753-1)NessusSuSE Local Security Checks
medium
147529SUSE SLES12 Security Update : openssl-1_1 (SUSE-SU-2021:0752-1)NessusSuSE Local Security Checks
medium
147511SUSE SLES12 Security Update : openssl-1_0_0 (SUSE-SU-2021:0725-1)NessusSuSE Local Security Checks
medium
147502SUSE SLES15 Security Update : openssl-1_1 (SUSE-SU-2021:0755-1)NessusSuSE Local Security Checks
medium
147447SUSE SLED15 / SLES15 Security Update : openssl-1_1 (SUSE-SU-2021:0754-1)NessusSuSE Local Security Checks
medium
147144Tenable SecurityCenter 5.16.x / 5.17.0 Multiple Vulnerabilities (TNS-2021-03)NessusMisc.
medium
146818Amazon Linux AMI : openssl (ALAS-2021-1482)NessusAmazon Linux Local Security Checks
medium
146628Amazon Linux 2 : openssl (ALAS-2021-1608)NessusAmazon Linux Local Security Checks
medium
146599Debian DSA-4855-1 : openssl - security updateNessusDebian Local Security Checks
medium
146591OpenSSL 1.0.2 < 1.0.2y Multiple VulnerabilitiesNessusWeb Servers
medium
146560FreeBSD : OpenSSL -- Multiple vulnerabilities (96a21236-707b-11eb-96d8-d4c9ef517024)NessusFreeBSD Local Security Checks
medium